POST api/reminders

Request Information

URI Parameters

None.

Body Parameters

CreateBody
NameDescriptionTypeAdditional information
forType

string

None.

forId

string

None.

title

string

None.

note

string

None.

reminderType

string

None.

channel

string

None.

dueAt

string

None.

Request Formats

application/json, text/json

Sample:
{
  "forType": "sample string 1",
  "forId": "sample string 2",
  "title": "sample string 3",
  "note": "sample string 4",
  "reminderType": "sample string 5",
  "channel": "sample string 6",
  "dueAt": "sample string 7"
}

application/xml, text/xml

Sample:
<RemindersController.CreateBody xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TM_API_Service.Controllers">
  <channel>sample string 6</channel>
  <dueAt>sample string 7</dueAt>
  <forId>sample string 2</forId>
  <forType>sample string 1</forType>
  <note>sample string 4</note>
  <reminderType>sample string 5</reminderType>
  <title>sample string 3</title>
</RemindersController.CreateBody>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'CreateBody'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.